Subject: Re: [PATCH v2.1 ] Fix VDSO gettimeofday() when called with NULL struct timeval.

From: [email-masked] (Tony Breeds)
Date: Tue, 3 Jul 2007 09:20:44 +1000

On Fri, Jun 29, 2007 at 03:49:50PM -0500, Will Schmidt wrote:
> 
> The vdso64 portion of patch 74609f4536f2b8fd6a48381bbbe3cd37da20a527 for
> fixing problems with NULL gettimeofday input mistakenly checks for a
> null tz field twice, when it should be checking for null tz once, and
> null tv once; by way of a r10/r11 typo. 
> 
> Any application calling gettimeofday(&tv,NULL) will "fail".
> 
> This corrects that typo, and makes my G5 happy.

Ooops thanks Will!

The /really/ sad thing is I got it right in the first version of the
patch :(

Yours Tony

  linux.conf.au        http://linux.conf.au/ || http://lca2008.linux.org.au/
  Jan 28 - Feb 02 2008 The Australian Linux Technical Conference!